/* erm. ob IR eine BOM View hat lc: 12.03.13/J.Fes */
select
  ps.puid
from
  infodba.PSTRUCTURE_REVISIONS ps
  left join infodba.PPSBOMVIEWREVISION bvr on (ps.pvalu_0 = bvr.puid)
  left join infodba.PPSBOMVIEW bv on (bvr.rbom_viewu = bv.puid)
  left join infodba.PPSVIEWTYPE bvt on (bvt.puid = bv.rview_typeu)
where
(upper(bvt.pname) = 'VIEW' OR
  upper(bvt.pname) = 'CATIA_MULTI_MODEL' OR
  upper(bvt.pname) = 'CATIA')
  and ps.puid = :para_puid
